﻿/*
 * Класс-обертка для mBlock
 *
 * ver. 1.0.0.0 - Создание класса
 * ver. 1.0.0.1 - Инициализация серийного порта перенесена в функцию setup().
 *				- Инициализация серийного порта и вывод отладочной информации происходит только при объявлении DEBUG
 */

#ifdef ARDUINO

//#define DEBUG

#ifndef _SD320_H_
	#define _SD320_H_
	#include <Arduino.h>
	#include "SPI_ArduinoMaster.h" // Библиотека интерфейса передачи данных по SPI
	#include "SD320_Command.h" // Библиотека интерфейса формирования команд

	// SPI пин chipSelect
	#define SPI_ArduinoMaster_ChipSelectPin A8

	class SD320
	{
	public:
		// Интерфейс передачи данных по SPI
		SPI_ArduinoMaster SPI_Master;

		// Интерфейс формирования команд
		SD320_Command command;

		uint8_t rx[255];
		uint8_t rx_PacketLength;

		void setup(void);

		void SendCommandAndWaitForCommandDoneResponse(uint8_t* arrPointer);
	};
#endif

#endif